<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::mass Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1mass.html">mass</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::mass Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing mass values  
<a href="namespaceunits_1_1mass.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa321d409430056b9164f5c0d2edc2a69"><td class="memItemLeft" align="right" valign="top"><a id="aa321d409430056b9164f5c0d2edc2a69"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">gram_t</a> &amp;obj)</td></tr>
<tr class="separator:aa321d409430056b9164f5c0d2edc2a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ca2c4a52fda6e27d7e815b0d77d6de5"><td class="memItemLeft" align="right" valign="top"><a id="a9ca2c4a52fda6e27d7e815b0d77d6de5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">gram_t</a> &amp;obj)</td></tr>
<tr class="separator:a9ca2c4a52fda6e27d7e815b0d77d6de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ec365219e43cf0e5ffc59ae1892e6fc"><td class="memItemLeft" align="right" valign="top"><a id="a8ec365219e43cf0e5ffc59ae1892e6fc"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">metric_ton_t</a> &amp;obj)</td></tr>
<tr class="separator:a8ec365219e43cf0e5ffc59ae1892e6fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49dd9768ee15859cd25c43bcf7cd2586"><td class="memItemLeft" align="right" valign="top"><a id="a49dd9768ee15859cd25c43bcf7cd2586"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">metric_ton_t</a> &amp;obj)</td></tr>
<tr class="separator:a49dd9768ee15859cd25c43bcf7cd2586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213a9544cc7e616bc48dbff0c8407fc3"><td class="memItemLeft" align="right" valign="top"><a id="a213a9544cc7e616bc48dbff0c8407fc3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pound_t</a> &amp;obj)</td></tr>
<tr class="separator:a213a9544cc7e616bc48dbff0c8407fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc795fd541dc0ce3bd7f8a8092e42d68"><td class="memItemLeft" align="right" valign="top"><a id="afc795fd541dc0ce3bd7f8a8092e42d68"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pound_t</a> &amp;obj)</td></tr>
<tr class="separator:afc795fd541dc0ce3bd7f8a8092e42d68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0af7149dfb52bdb85df3336c622446c"><td class="memItemLeft" align="right" valign="top"><a id="aa0af7149dfb52bdb85df3336c622446c"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">long_ton_t</a> &amp;obj)</td></tr>
<tr class="separator:aa0af7149dfb52bdb85df3336c622446c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac39b63d68ac4f116de5ebac3b71c824f"><td class="memItemLeft" align="right" valign="top"><a id="ac39b63d68ac4f116de5ebac3b71c824f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">long_ton_t</a> &amp;obj)</td></tr>
<tr class="separator:ac39b63d68ac4f116de5ebac3b71c824f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94b03f6478dde346e79a7fd1a472bde0"><td class="memItemLeft" align="right" valign="top"><a id="a94b03f6478dde346e79a7fd1a472bde0"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">short_ton_t</a> &amp;obj)</td></tr>
<tr class="separator:a94b03f6478dde346e79a7fd1a472bde0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9f3e51410aff016fa4c3f4957839b37"><td class="memItemLeft" align="right" valign="top"><a id="ad9f3e51410aff016fa4c3f4957839b37"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">short_ton_t</a> &amp;obj)</td></tr>
<tr class="separator:ad9f3e51410aff016fa4c3f4957839b37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a591db30190d8041ca35c91dde6228724"><td class="memItemLeft" align="right" valign="top"><a id="a591db30190d8041ca35c91dde6228724"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">stone_t</a> &amp;obj)</td></tr>
<tr class="separator:a591db30190d8041ca35c91dde6228724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a494ea88a6420120eb82eac5586ec43"><td class="memItemLeft" align="right" valign="top"><a id="a9a494ea88a6420120eb82eac5586ec43"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">stone_t</a> &amp;obj)</td></tr>
<tr class="separator:a9a494ea88a6420120eb82eac5586ec43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3fbf3d7dc3ccd0a68c4cf0d2c395b9a"><td class="memItemLeft" align="right" valign="top"><a id="ad3fbf3d7dc3ccd0a68c4cf0d2c395b9a"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">ounce_t</a> &amp;obj)</td></tr>
<tr class="separator:ad3fbf3d7dc3ccd0a68c4cf0d2c395b9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa58c68c217195a3767cf95b2185b2a5b"><td class="memItemLeft" align="right" valign="top"><a id="aa58c68c217195a3767cf95b2185b2a5b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">ounce_t</a> &amp;obj)</td></tr>
<tr class="separator:aa58c68c217195a3767cf95b2185b2a5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fd4146e8c997280b0d281d15093e7c"><td class="memItemLeft" align="right" valign="top"><a id="a85fd4146e8c997280b0d281d15093e7c"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">carat_t</a> &amp;obj)</td></tr>
<tr class="separator:a85fd4146e8c997280b0d281d15093e7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa215f08eb1db62b8926150f14eb681d"><td class="memItemLeft" align="right" valign="top"><a id="afa215f08eb1db62b8926150f14eb681d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">carat_t</a> &amp;obj)</td></tr>
<tr class="separator:afa215f08eb1db62b8926150f14eb681d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e54ecb3739f06a876b7b82119dd305"><td class="memItemLeft" align="right" valign="top"><a id="a99e54ecb3739f06a876b7b82119dd305"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">slug_t</a> &amp;obj)</td></tr>
<tr class="separator:a99e54ecb3739f06a876b7b82119dd305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97ba7807d104c7cdecae72be83b61a34"><td class="memItemLeft" align="right" valign="top"><a id="a97ba7807d104c7cdecae72be83b61a34"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">slug_t</a> &amp;obj)</td></tr>
<tr class="separator:a97ba7807d104c7cdecae72be83b61a34"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing mass values </p>
<p>The SI unit for mass is <code>kilograms</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>mass_unit</code>. <a class="anchor" id="massContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
